DevelopersAPIReferencecategories
List categories
All categories of the wallet, each with server-computed usage counts (SE-2).
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidAll categories of the wallet
application/json- response
[index: integer]?curl -X GET 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "type": "activeIncome", "emoji": "string", "system": true, "systemKey": "string", "order": -140737488355328, "categoryGroupId": "94a69c98-7014-42e1-a3ec-9154712b315b", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string", "used": 0, "usedInScenarios": 0, "usedInAssets": 0, "usedInPlanItems": 0, "usedByMerchants": 0, "usedInHoldingTransactions": 0 }]